The federationSettings resource allows you to remove one federation and all associated data, including the identity providers and domains that the federation describes.
Important
Requests to this resource fail if there is more than one connected organization in the federation.
Base URL: https://cloud.mongodb.com/api/public/v1.0
Required Roles
You must have the Organization Owner role in the last connected organization to call this endpoint.
Resource
DELETE /federationSettings/{FEDERATION-SETTINGS-ID}
Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique 24-hexadecimal digit string that identifies the federated authentication configuration. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether to return the response body in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
This endpoint doesn't return a response body.
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --include \ --request DELETE "https://cloud.mongodb.com/api/public/v1.0/federationSettings/{FEDERATION-SETTINGS-ID}"
Example Response
This endpoint doesn't return a response body.